package com.dcsoft.system.uniubi.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 通行记录对象 hk_back_record
 *
 * @author ruoyi
 * @date 2024-05-15
 */
public class HkBackRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String serialNumber;

    /** 事件主类型 */
    @Excel(name = "事件主类型")
    private Integer majorEventType;

    /** 事件次类型 */
    @Excel(name = "事件次类型")
    private Integer subEventType;

    /** 认证人员卡号 */
    @Excel(name = "认证人员卡号")
    private String cardNo;

    /** 认证人员姓名 */
    @Excel(name = "认证人员姓名")
    private String name;

    /** 认证人员工号 */
    @Excel(name = "认证人员工号")
    private String employeeNoString;

    /** 远程核验流水号 */
    @Excel(name = "远程核验流水号")
    private Integer serialNo;

    /** 图片数量 */
    @Excel(name = "图片数量")
    private Integer picturesNumber;

    /** 该人员的认证方式 */
    @Excel(name = "该人员的认证方式")
    private String currentVerifyMode;

    /** 图片地址 */
    @Excel(name = "图片地址")
    private String pictureURL;

    /** 触发时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "触发时间", width = 30, dateFormat = "yyyy-MM-dd  HH:mm:ss")
    private Date dateTime;

    private Boolean remoteCheck;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSerialNumber(String serialNumber)
    {
        this.serialNumber = serialNumber;
    }

    public String getSerialNumber()
    {
        return serialNumber;
    }

    public Integer getMajorEventType() {
        return majorEventType;
    }

    public void setMajorEventType(Integer majorEventType) {
        this.majorEventType = majorEventType;
    }

    public Integer getSubEventType() {
        return subEventType;
    }

    public void setSubEventType(Integer subEventType) {
        this.subEventType = subEventType;
    }

    public void setCardNo(String cardNo)
    {
        this.cardNo = cardNo;
    }

    public String getCardNo()
    {
        return cardNo;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setEmployeeNoString(String employeeNoString)
    {
        this.employeeNoString = employeeNoString;
    }

    public String getEmployeeNoString()
    {
        return employeeNoString;
    }

    public Integer getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(Integer serialNo) {
        this.serialNo = serialNo;
    }

    public Integer getPicturesNumber() {
        return picturesNumber;
    }

    public void setPicturesNumber(Integer picturesNumber) {
        this.picturesNumber = picturesNumber;
    }

    public void setCurrentVerifyMode(String currentVerifyMode)
    {
        this.currentVerifyMode = currentVerifyMode;
    }

    public String getCurrentVerifyMode()
    {
        return currentVerifyMode;
    }
    public void setPictureURL(String pictureURL)
    {
        this.pictureURL = pictureURL;
    }

    public String getPictureURL()
    {
        return pictureURL;
    }
    public void setDateTime(Date dateTime)
    {
        this.dateTime = dateTime;
    }

    public Date getDateTime()
    {
        return dateTime;
    }


    public Boolean getRemoteCheck() {
        return remoteCheck;
    }

    public void setRemoteCheck(Boolean remoteCheck) {
        this.remoteCheck = remoteCheck;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("serialNumber", getSerialNumber())
            .append("majorEventType", getMajorEventType())
            .append("subEventType", getSubEventType())
            .append("cardNo", getCardNo())
            .append("name", getName())
            .append("employeeNoString", getEmployeeNoString())
            .append("serialNo", getSerialNo())
            .append("picturesNumber", getPicturesNumber())
            .append("currentVerifyMode", getCurrentVerifyMode())
            .append("pictureURL", getPictureURL())
            .append("dateTime", getDateTime())
            .toString();
    }
}
